'use strict';
  function Menu() {}

  Menu.prototype = {
    preload: function() {

    },
    create: function() {
      

      this.map = this.game.add.tilemap('track');
      this.map.addTilesetImage('tiles');
      this.layer = this.map.createLayer('tilelayer1');
      this.layer.resizeWorld();

      /** STEP 1 **/
      // create a group to put the title assets in 
      // so they can be manipulated as a whole
      this.titleGroup = this.game.add.group();

      /** STEP 2 **/
      // create the title sprite
      // and add it to the group
      this.title = this.game.add.sprite(this.game.width/2,200,'logo');
      this.title.anchor.setTo(0.5, 0.5);
      this.titleGroup.add(this.title);

      /** STEP 3 **/
      // create the bird sprite 
      // and add it to the title group
      //this.bird = this.game.add.sprite(200,5,'bird');
      //this.titleGroup.add(this.bird);

      /** STEP 4 **/
      // add an animation to the bird
      // and begin the animation
      //this.bird.animations.add('flap');
      //this.bird.animations.play('flap', 12, true);

      /** STEP 5 **/
      // Set the originating location of the group
      this.titleGroup.x = 30;
      this.titleGroup.y = 0;

      /** STEP 6 **/
      // create an oscillating animation tween for the group
      this.game.add.tween(this.titleGroup).to({y:15}, 350, Phaser.Easing.Linear.NONE, true, 0, 1000, true);

      //A start button
      this.startButton = this.game.add.button(this.game.width/2, 500, 'instructions', this.startClick, this);
      this.startButton.anchor.setTo(0.5,0.5);

    },
    update: function() {
    },

    startClick: function() {  
      // start button click handler
      // start the 'play' state
      this.game.state.start('play');
    }
  };
